﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataGrid2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.Nodes = new List<Node>
            {
                new Node() { X = 0, Y = 0, IsUConstrained = true, IsVConstrained = true, IsPhiCOnstrained = true },
                new Node() { X = 10, Y = 0, IsUConstrained = false, IsVConstrained = false, IsPhiCOnstrained = false },
                new Node() { X = 20, Y = 0, IsUConstrained = true, IsVConstrained = true, IsPhiCOnstrained = false },
                new Node() { X = 30, Y = 0, IsUConstrained = false, IsVConstrained = false, IsPhiCOnstrained = false }
            };

            this.dataGrid.ItemsSource = this.Nodes;

            foreach (Node node in this.Nodes)
            {
                this.listView.Items.Add(node.ToString());
            }
        }



        public List<Node> Nodes { get; set; }

        private void OnClickButton(object sender, RoutedEventArgs e)
        {
            this.listView.Items.Clear();

            foreach (Node node in this.Nodes)
            {
                this.listView.Items.Add(node.ToString());
            }

        }

        private void OnAddButton(object sender, RoutedEventArgs e)
        {
            this.Nodes.Add(new Node() { X = 100, Y = 0, IsUConstrained = true, IsVConstrained = true, IsPhiCOnstrained = true });

        }
    }
}
